using System;
using Minesweeper.Core;

namespace Minesweeper.Presentation.Views
{
    public interface IResultView : IView
    {
        event Action RestartRequested;
        event Action GoToMenuRequested;

        void Show(GameState state);
        void Hide();
    }
}
